#ifndef MAINWINDOW_H
#define MAINWINDOW_H
#include "thumbnailmanager.h"
#include <QMainWindow>
class QString;
class QLabel;
namespace Ui {
    class MainWindow;
    //class ThumbnailManager;
}

class MainWindow : public QMainWindow {
    Q_OBJECT
public:

    MainWindow(QWidget *parent = 0);
    ~MainWindow();
public slots:
    void browseSourceFolder();
    void browseDestinationFolder();
    //void browseDestinationFolder();
    void sourceSelectionChanged(QString path);
    void proced();
    void updateMyStatus(QString s);

protected:
    void changeEvent(QEvent *e);

private:
    ThumbnailManager *manager;
    Ui::MainWindow *ui;
    QLabel* statusLabel;
};

#endif // MAINWINDOW_H
